:root {
	--theme-primary-color: #FCE615;
	--theme-secondary-color: #FCE615;
	--theme-text-color: #231F20;
}

body::before {
	border-left: none;
	width: 7px;
	background: var(--theme-primary-color);
	background: -moz-linear-gradient(0deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	background: -webkit-linear-gradient(0deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	background: linear-gradient(0deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#fbbb21", endColorstr="#fa5039", GradientType=1);
}

img {
	user-drag: none;
	-webkit-user-drag: none;
	-khtml-user-drag: none;
	-moz-user-drag: none;
	-o-user-drag: none;
}

/* Theme */
.text-primary {
	/* color: var(--theme-primary-color) !important; */
	color: #eace00 !important;
}

.theme-text-color{
	color: var(--theme-text-color) !important;
}

.logo-dark {
	display: none;
}

[data-bs-theme="dark"] .logo-light {
	display: none;
}

[data-bs-theme="dark"] .logo-dark {
	display: block; 
}

[data-bs-theme="semi-dark"] .hide-semi-dark {
	display: none;
}

[data-bs-theme="semi-dark"] .logo-semi-dark {
	display: block; 
}

.background-primary-color{
	background-color: var(--theme-primary-color) !important;
}

[data-bs-theme="dark"] .theme-text-color{
	color: white !important;
}


/* Button */
.btn-theme-gradient {
	border: none;
	background-color: none;
	background: var(--theme-primary-color);
	background: -moz-linear-gradient(320deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	background: -webkit-linear-gradient(320deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	background: linear-gradient(320deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	padding: .5125rem .9rem;
}

/* Header */
.top-header .navbar {
	background-color: rgba(255, 255, 255, 0.8);
	backdrop-filter: blur(10px);
}

.login-page{
	height: 100dvh;
	position: relative;
}

.login-page .top-header .navbar {
	left: 0;
}

.login-page .card{
	position: absolute;
	top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Sidebar */
.sidebar-wrapper .sidebar-header .logo-img {
	width: auto;
	max-width: 100%;
	height: 25px;
	object-fit: contain;
}

.sidebar-wrapper .sidebar-nav .metismenu .mm-active .mm-collapse .mm-active>a {
	color: var(--theme-primary-color);
	background: transparent;
}

.sidebar-nav .metismenu .mm-active>a {
	background: var(--theme-primary-color);
	background: -moz-linear-gradient(270deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
	background: -webkit-linear-gradient(270deg, var(--secondary-primary-color) 0%, var(--theme-primary-color) 100%);
	background: linear-gradient(270deg, var(--theme-secondary-color) 0%, var(--theme-primary-color) 100%);
}

.sidebar-wrapper .sidebar-nav .metismenu a:focus,
.sidebar-wrapper .sidebar-nav .metismenu a:hover {
	color: var(--theme-primary-color);
	background-color: rgba(250, 80, 57, 0.05);
}

.sidebar-wrapper .sidebar-nav .metismenu .mm-active>a {
	color: black !important;
	font-weight: 500;
}

/* Stepper */
.active .bs-stepper-circle {
	background-color: var(--theme-primary-color);
}

/* Form */
.form-control:focus {
	border-color: #FCE615;
	box-shadow: 0 0 0 .25rem rgba(252, 230, 21, 0.25);
}

.main-wrapper .main-content .page-breadcrumb .breadcrumb-item+.breadcrumb-item::before {
	font-family: unset;
	content: var(--bs-breadcrumb-divider, "/");
}

/* Progress Page */
.pace .pace-activity {
	border-top-color: var(--theme-primary-color);
	border-left-color: var(--theme-primary-color);
}

.pace .pace-progress {
	background: linear-gradient(to right, var(--theme-secondary-color), var(--theme-primary-color));
	border-image: linear-gradient(to right, var(--theme-secondary-color), var(--theme-primary-color));
}

/* Alert */
.alert-border-primary {
	border-left: 5px solid var(--theme-primary-color);
}

/* ทดสอบ */

.btn-qr {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	background: linear-gradient(to bottom right, #FCE615, #FCE615);       
	color: white;
	border-radius: 10px;
	font-weight: bold; 
	font-size: 16px; 
	text-align: center;
	height: 180px; 
	width: 230px; 
	margin: 30px;
	text-decoration: none;
}

.btn-qr .bi {
	font-size: 70px; 
	margin-bottom: 10px; 
}

/* tab */
.nav .nav-item a.active {
	background: linear-gradient(to right, #FCE615, #FCE615);
	color: white;
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

/* radio */
.radio-image-container {
	display: flex;
	gap: 20px;
}

.radio-image-container input[type="radio"] {
	display: none; 
}

.radio-image-container label {
	cursor: pointer;
	display: inline-block;
	border: 2px solid transparent;
	border-radius: 8px;
	transition: border-color 0.3s ease;
	border: 1px solid var(--ct-border-color);
}

.radio-image-container label svg {
	width: 100px;
	height: 100px;
	/* border-radius: 8px; */
	display: block;
}

.radio-image-container input[type="radio"]:checked + label {
	border: 2px solid var(--theme-primary-color);
}

.radio-image-container .image-label {
	margin-bottom: 4px;
	font-size: 14px;
	color: #333;
	text-align: center;
}

.card-dashboard-count {
	border-left: .3125rem solid #FCE615;
}